/**********************************/
/*                                */
/*     info.h                     */
/*                                */
/*     entropy calculation        */
/*                                */
/*     Alan Dix                   */
/*                                */
/*     2/12/1993                  */
/*                                */
/**********************************/

#ifndef Info_H
#define Info_H

double ent_of_int( int n );
double ent_of_ints( int size, int *counts );
double entropy_from_ints( int size, int *counts );
double entropy( int size, double *prob );
        /* assumes sum of prob[1...size] is 1.0 */

#endif /*  Info_H  */
