<?php

// **************************************
//
//  values to be set for your system 

include("config.php");

// **************************************


mysql_connect($host,$user,$password);
mysql_select_db($database);

$reset = false;

if ( !isset($table) || '$table' == '' )
{
	$table = $ex_table;
}

if ( !isset($last_table) || $last_table != $table )
{
	$reset = true;
}

$makequery = 1;

if ( $doit == "Hide this Help Message" )
{
	$makequery = 0;
	$hidehelp = 1;
}
else if ( $doit == "Show Help Message" )
{
	$makequery = 0;
	$hidehelp = 0;
}

if ( $reset ) $makequery = 0;

// $table = $ex_table;

$query = "select * from $table";

if ( ! ( $result = mysql_query($query) ) ){
		echo ("SQL failed for: ".$query);
		exit;
}

$schema_name = tempnam("/tmp","qbb_schema");
$yes_name = tempnam("/tmp","qbb_dbyes");
$no_name = tempnam("/tmp","qbb_dbno");
$tree_name = tempnam("/tmp","qbb_tree");

$has_yes = 0;
$has_no = 0;
$has_tree = 0;

$num_fields = mysql_num_fields($result);

$schema_fp = fopen($schema_name,"w");

fputs($schema_fp, "$num_fields\n" );

for ( $i=0; $i<$num_fields; $i++ )
{
	$sqltype = mysql_field_type($result,$i);
	$len = mysql_field_len($result,$i);
	$name = mysql_field_name($result,$i);
 //   echo("<pre>name=$name\ntype=$sqltype\nlen=$len\n</pre>");
	if ( eregi("char",$sqltype) ) $type="string";
	else if ( eregi("string",$sqltype) ) $type="string";
	else if ( eregi("int",$sqltype) ) $type="number";
	else continue;  // unrecognised field type
	if ( $len > 30 ) $len = 30;
	$fld_name[$i] = $name;
	$fld_len[$i] = $len;
	$fld_type[$i] = $type;
	fputs($schema_fp, "$name \t$type \t$len \n" );

}

fclose($schema_fp);

if ( ! empty($num_rows) ) // from hidden parameter 
{
	for ( $r=0; $r<$num_rows; $r++ )
	{
		if ( $reset )
		{
			$opts[$r] = "";
		}
		else
		{
			$optname = "select$r";
			$opt = $$optname;
			$opts[$r] = $opt;
		}
	}
}

if ( $reset )    $andor="FALSE";

if ( $makequery )
{
$yes_fp = fopen($yes_name,"w");
$no_fp = fopen($no_name,"w");
$has_yes = 1;
$has_no = 1;

$num_rows =  mysql_num_rows($result);

$yes_ct = 0;
$no_ct = 0;

for ( $r=0; $r<$num_rows; $r++ )
{
	$opt = $opts[$r];
	$row = mysql_fetch_array ($result);
	$selected  =  $opt == 'Y' || $opt == 'N';
  //  if ( ! $selected ) continue;
	$rec = "";
	for ( $i=0; $i<$num_fields; $i++ )
	{
		if ( $i > 0 ) $rec = $rec . " \t";
		$val = $row[$fld_name[$i]];
		if ( $fld_type[$i] == "string" )
			$rec = $rec . "\"$val\"";
		else
			$rec = $rec . $val;
	}
	$recs[$r] = $rec;

	if ( $opt == 'Y' ) 
	{
		$yes_ct++;
		fputs($yes_fp, "$rec\n" );
	}
	else if ( $opt == 'N' ) 
	{
		$no_ct++;
		fputs($no_fp, "$rec\n" );   
	}
}

fclose($yes_fp);
fclose($no_fp);


$learn_cmd = "$binpath/learn 0 $schema_name $binpath/cl $tree_name $yes_name $no_name 2>&1";

$andor_cmd = "$binpath/asandor $schema_name $binpath/cl $tree_name yes";

  if ( $yes_ct==0 ) $andor="FALSE";
  else if ( $no_ct==0 ) $andor="TRUE";
  else
  {
	$has_tree = 1;
	exec($learn_cmd);
	exec($andor_cmd,$andor_arr,$andor_res);
	$andor = $andor_arr[0];
  }

}  // end of if/else reset

	if ( $andor=="FALSE" )
	{
		$andor_val = 0;
		$display_query = "-- none selected --";
	}
	else if ( $andor=="TRUE" )
	{
		$andor_val = 1;
		$display_query = "SELECT * FROM $table";
	}
	else
	{
		$andor_val = $andor;
		$display_query = "SELECT * FROM $table WHERE $andor";
	}


function insert_hidden()
{
	global $andor;
	global $table;

	echo  "<input type='hidden' name='andor' value='$andor'>";
	echo  "<input type='hidden' name='last_table' value='$table'>";
}


function insert_database_options()
{
  global $tables;
  global $table;

  $num_tables = count($tables);
  for ( $t=0; $t<$num_tables; $t++ )
  {
	  $tname = $tables[$t];
	  if ( $table==$tname ) $tselected="SELECTED";
	  else $tselected = '';
	  echo("<option value='$tname' $tselected>$tname</option>");
  }
}
function insert_query()
{
	global $display_query;

//if ( 0 ):

	echo htmlspecialchars($display_query);

//   endif;  // if 0

}
function insert_data()
{
	global $andor_val;
	global $table;
	global $num_fields;
	global $fld_name;
	global $fld_type;
	global $opts;

//if ( 0 ):
	echo "<table>\n";
	$query = "select *, $andor_val as qbb_select from $table";

	if ( ! ( $result = mysql_query($query) ) ){
		echo ("SQL failed for: ".$query);
		exit;
	}

	$num_rows =  mysql_num_rows($result);

	echo("<input type='hidden' name='num_rows' value='$num_rows'>");
	echo("<tr><th width=18 ><image src='icons/invis.gif' width=18 height=17 border=0></th>\n");

	for ( $i=0; $i<$num_fields; $i++ )
	{
	 	   echo "<th valign=bottom align=center>".$fld_name[$i]."</th>";
	}
	echo("\n</tr>\n");

	for ( $r=0; $r<$num_rows; $r++ )
	{
		$opt = $opts[$r];
		if ( $opt == 'Y' ) $yes_checked = "CHECKED";
		else $yes_checked = "";
		if ( $opt == 'N' ) $no_checked = "CHECKED";
		else $no_checked = "";
		$row = mysql_fetch_array ($result);
		$qbb_select  = $row['qbb_select'];
		$htmltab = "";
		for ( $i=0; $i<$num_fields; $i++ )
		{
			$val = $row[$fld_name[$i]];
			if ( $fld_type[$i] == "string" )
				$htmltab = $htmltab . "<td valign=bottom align=left>".htmlspecialchars($val)."</td>";
			else
				$htmltab = $htmltab . "<td valign=bottom align=right>".$val."</td>";
		}
		if ( $qbb_select )   echo("<tr bgcolor='#9999ff'>\n");
		else   echo("<tr>\n");
		if ( $opt == 'Y' ) $src = "icons/tick18x17.gif";
		else if ( $opt == 'N' ) $src = "icons/cross18x17.gif";
		else $src = "icons/invis.gif";

		echo("  <td valign=bottom nowrap background='icons/box18x17.gif'>");
		echo("<input type='hidden'  name='select$r' value='$opt'>");
		echo("<a href='#' onClick='selectRow($r); return true;'>");
		echo("<image name='icon$r' src='$src' width=18 height=17 border=0>");
		echo("</a>");
		echo("</td>\n");

		echo("  $htmltab\n");

		echo("</tr>\n");

	}
	echo "</table>";

//   endif;  // if 0
}

 include("qbb-template.html");

?>
